Subject: Re: mail deposit problem

From: [email-masked] (Zhiliang Hu)
Date: Fri, 13 Jan 1995 19:38:15 +1000

There are two answers to my question (enclosed).  I just want to clearify
some of my confusions on this:

(1) Does "A:" secures the lock file when it see the end of a mail so the
    second mail is not processed until the first one finishes and the lock
    file removed?

(2) Does "c" after the first ":0" cause the second ':0' to execute twice or
    it means only "continue" to next ':0', or "carbon copy 'here' " before
    next ':0'?

I have acturally done in accordence to both suggestions.  Is it redundant?
I was worrying the second ':0' not excuted.  But it did.  (So it is really
"cc", not "continue" any more :-).

Zhiliang

=======================================
Enclosure 1: pattern of my .procmailrc
=======================================
:0 c
* !^X-Loop: [email-masked]
* !^Subject:.*Re:
* !^MAILER_DAEMON
{
   recipes
}

:0
$DEFAULT

=======================================
Enclosure 2: answers to my question
=======================================
(1) 
From: [email-masked] (Robert W. Kerns)
To: [email-masked] (Zhiliang Hu)
Cc: [email-masked]
Subject: Re: mail deposit problem

You need to lock your mail file, or two messages arriving at nearly the
same time will be delivered intermixed like this.  Make your
last lines:

:0 A:
$DEFAULT

(2)
From: [email-masked] (Stephen R. van den Berg)
Date: Fri, 13 Jan 1995 19:47:58 +0100
To: [email-masked] (Zhiliang Hu), [email-masked]
Subject: Re: mail deposit problem

>:0 c
>* !^X-Loop: [email-masked]
>{ .......}
>
>Omit the 'c' flag on this nesting recipe.  It causes procmail to fork
>(hence two copies).